Mailinglist Archive: opensuse-factory (421 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170927 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170927

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
cups-filters (1.14.0 -> 1.17.6)
exo (0.11.4 -> 0.11.5)
gstreamer-plugins-libav (1.12.2 -> 1.12.3)
icedtea-web
libxfce4ui
libxfce4util
mutter
oprofile
patterns-base
patterns-media
pitivi (0.98.1 -> 0.99)
spec-cleaner (0.9.8 -> 1.0.0)
texlive
xfconf (4.12.0 -> 4.12.1)
yast2-apparmor (3.3.1 -> 4.0.0)
yast2-ruby-bindings (3.3.1 -> 4.0.0)

=== Details ===

==== cups-filters ====
Version update (1.14.0 -> 1.17.6)

- Version upgrade to 1.17.6:
* As the changelog is long for detailed info check the NEWS file.
* Package new filters.
* Compatible with poppler 0.58 and newer (Bug #1408).

==== exo ====
Version update (0.11.4 -> 0.11.5)
Subpackages: exo-data exo-helpers exo-lang exo-tools libexo-1-0 libexo-2-0

- udate to version 0.11.5
- New Features:
- ExoString: Added new exo_str_is_flag
- Helpers: Added Terminator (TerminalEmulator) (bxo#13714)
- Bug Fixes:
- exo-helper: Use full custom command path (bxo#4093)
- exo-launch: Pass flags to preferred application (bxo#9427)
- replace internet-mail icon with FD.o compliant emblem-mail (bxo#13711)
- drop conflicting Vivaldi helper (bxo#13712, Gentoo #624546)
- Translation updates

==== gstreamer-plugins-libav ====
Version update (1.12.2 -> 1.12.3)

- Update to version 1.12.3:
+ Bugs fixed: bgo#784735.

==== icedtea-web ====
Subpackages: icedtea-web-javadoc

- Modified patch:
* icedtea-web-exports.patch
+ Fix typo in patch

==== libxfce4ui ====
Subpackages: libxfce4ui-1-0 libxfce4ui-2-0 libxfce4ui-lang libxfce4ui-tools

- correct licenses of libxfce4ui-1-0 and libxfce4ui-2-0 to GPL2.0+,
because files libxfce4kbd-private/xfce-shortcuts-xfwm4.{c,h} are
GPL 2, not LGPL.
- disable gtk-doc build, fails with newer gtk-doc > 1.25
- do not package ChangeLog, NEWS is enough

==== libxfce4util ====
Subpackages: libxfce4util-lang libxfce4util7

- disable gtk-doc build, fails with newer gtk-doc > 1.25
- do not package ChangeLog, NEWS is enough

==== mutter ====
Subpackages: libmutter-1-0 mutter-data mutter-lang

- Add mutter-fix-hidpi-scaling-x11.patch: Fix hidpi scaling
regression when using X11 (bgo#788049).
- Add mutter-monitor-config-manager-rotation-fix.patch: Fix
transformation when rotating screen so that rotation by 90/270
deg don't show a black screen; patch taken from upstream git
(bgo#787836).

==== oprofile ====
Subpackages: libopagent1

- Remove qt-devel from BuildRequires, it is no needed anymore.

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-apparmor_opt
patterns-base-base patterns-base-basesystem patterns-base-console
patterns-base-enhanced_base patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base_conflicts
patterns-base-sw_management patterns-base-x11 patterns-base-x11_opt
patterns-base-x86

- Swap back to SuSEfirewall2, its not fully intergrated everywhere
- set many *_opt patterns to only build on openSUSE
- Add some is_opensuse sections for packages not in SLE
- Move certain packages from * to *_opt when they are not in SLE
* x11
* xorg-x11-libX11-ccache
* xorg-x11-driver-video-radeonhd
* xorg-x11-driver-video-unichrome
* xterm (xterm-bin added in place)
* x11-tools
- Move packages from x11-opt to x11 so x11-opt is openSUSE only
* tk
* xtermset
- Rework of enhanced_base
* Move from enhanced_base to enhanced_base_opt
* Move from enhanced_base_opt to enhanced_base
* cpupower
* smartmontools
* screen
* xz (now recommended rather then suggested)
* rsync
* haveged
* mcelog
* zip
* initviocons
* zisofs-tools
* irqbalance
* pam_ssh
* xfsprogs
* dos2unix
* Move or remove the following packages to console
* lynx
* at
* bc
* ed
* w3m
- Remove certain packages from patterns where they are not shipped
in SLE15
* minimal_base
* insserv
* base
* systemd-logger
* console
* makedev
* par
* enhanced_base / enhanced_base_opt
* db-utils
* jfsutils
* libatm1
* lsb-release
* ppp
* pptp
* utempter (only lib in factory)
* reiserfs
* ypbind
* yptools
* x11
* freeglut (dropped from factory)
* fvwm2
* fvwm-themes
* gv
* mmv
* pmidi
* suspend
* xorg-x11-driver-input (compatability meta package)
* xine-ui
* xosd
* xosview
* xpdf-poppler (dropped from factory)
* wine
* x11_opt
* freeglut (dropped from factory)
- Remove the 32 and 64bit patterns
- move ntp work around for boo#936378 to patterns-yast
- remove systemd from enhanced_base_opt (already included elsewhere)
- swap SuSEfirewall2 to firewalld following SLE-15
- no longer recommend alternate shells (users who want to change know how to
install them)
* ksh
* tcsh
* zsh
- Recommend nano in enhanced_base boo#1034493
- Console pattern only recommends things not requires them
- tgt removed (in yast where it shoud be)
- open-iscsi just needs to be in the media patterns boo#393589

==== patterns-media ====

- Drop stuff from the rest_cd_core pattern (resotre feature parity
with previous live images). None of that stuff was there before
and one can argue there is no need to have them now. Some make
sense on the RescueCD, will rework those later (marked with +)
* gnu_dd_rescue, dd_rescue, gparted (+)
* fvwm2 and fvwm2-theme
* gv
* grsync (+)
* krb5-client
* ksh, tcsh and zsh
* lftp (+)
* makedev
* mc (+)
* mmv
* nss_ldap
* pam_krb5
* par
* pmidi
* wine
* xine-ui
* xosd
* xosview
- Add rest-cd-core pattern with all the common packages
- Run extracts through spec-cleaner to order them more uniformly
- Add the following packages that are no longer in patterns-base to
the rest-core-cd pattern to ensure they stay on the media.
* insserv
* systemd-logger
* makedev
* par
* db-utils
* jfsutils
* libatm1
* lsb-release
* ppp
* pptp
* reiserfs
* ypbind
* yptools
* fvwm2
* fvwm-themes
* gv
* mmv
* pmidi
* suspend
* xine-ui
* xosd
* xosview
* wine
* ksh
* tcsh
* zsh
* open-iscsi

==== pitivi ====
Version update (0.98.1 -> 0.99)
Subpackages: pitivi-lang

- Update to version 0.99:
+ Many performance improvements.
+ Lots of bug fixing.
- Add meson BuildRequires, and switch autotools macros configure,
make and makeinstall to meson, meson_build and meson_install
following upstream switch to Meson Build System.
- Add pkgconfig(gstreamer-1.0) BuildRequires: new dependency.
- Drop intltool BuildRequires: no longer needed.
- Drop %desktop_database_*, %icon_theme_cache_* and
%mime_database_* post/postun macros: the functionality is now
covered by file triggers.

==== spec-cleaner ====
Version update (0.9.8 -> 1.0.0)

- Version update to 1.0.0 bsc#1060402:
* Recognise the BuildConflicts tag
* Fix few make parsing errors
* Fix some codeblock error detection
* More path replacements detection
* Keep uppercase URL tag as per vote
- Version update to 0.9.9:
* Include pkgconfig and others from leap 42.3 instead of 42.2

==== texlive ====

- Add texlive-20170524-source-poppler059-1.patch: Adapt API usage
to poppler 0.59.
- Add missing link from texdef to latexdef

==== xfconf ====
Version update (4.12.0 -> 4.12.1)
Subpackages: libxfconf-0-2 xfconf-lang

- do not package ChangeLog, NEWS is enough
- update to version 4.12.1
- add support for binding to GdkRGBAs (needed for gtk3 migration)
- translation updates

==== yast2-apparmor ====
Version update (3.3.1 -> 4.0.0)

- Propose installation of apparmor packages when they are missing
(bsc#1058981)
- 4.0.0

==== yast2-ruby-bindings ====
Version update (3.3.1 -> 4.0.0)

- Nicer backtrace output in log for internal errors (help for
debuggging bugs like bsc#1044312)
- 4.0.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups